For the complete documentation index, see llms.txt. This page is also available as Markdown.

Updates Tag

Etiket günceller.

put
Authorizations
HTTPRequired

API anahtar� giriniz

Body
UUIDstring · uuidOptional
Namestring · nullableOptional
Descriptionstring · nullableOptional
Colorstring · nullableOptional
Responses
200

Etiket günceller.

application/json
booleanOptional
put/Tags
PUT /ebill/Tags HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json-patch+json
Accept: */*
Content-Length: 97

{
  "UUID": "123e4567-e89b-12d3-a456-426614174000",
  "Name": "text",
  "Description": "text",
  "Color": "text"
}
true
var options = new RestClientOptions("//ebill/Tags")
{
  MaxTimeout = -1,
};
var client = new RestClient(options);
var request = new RestRequest("", Method.Put);
request.AddHeader("Content-Type", "application/json");
request.AddHeader("Accept", "application/json");
request.AddHeader("Authorization", "Bearer {{bearerToken}}");
var body = @"{" + "\n" +
@"  ""UUID"": ""<uuid>""," + "\n" +
@"  ""Name"": ""<string>""," + "\n" +
@"  ""Description"": ""<string>""," + "\n" +
@"  ""Color"": ""<string>""" + "\n" +
@"}";
request.AddStringBody(body, DataFormat.Json);
RestResponse response = await client.ExecuteAsync(request);
Console.WriteLine(response.Content);
<?php

$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => '//ebill/Tags',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'PUT',
  CURLOPT_POSTFIELDS =>'{
  "UUID": "<uuid>",
  "Name": "<string>",
  "Description": "<string>",
  "Color": "<string>"
}',
  CURLOPT_HTTPHEADER => array(
    'Content-Type: application/json',
    'Accept: application/json',
    'Authorization: Bearer {{bearerToken}}'
  ),
));

$response = curl_exec($curl);

curl_close($curl);
echo $response;

Last updated